%define upstream_name    Dist-Zilla-App-Command-weaverconf
%define upstream_version 0.05

%global __provides_exclude perl\\(Dist::Zilla::App::Command::weaverconf::SExpGen\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Extract your distribution's Pod::Weaver configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Visitor)
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::Any)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose) >= 0.910.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Structured) >= 0.200.0
BuildRequires: perl(Test::More)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This command will extract the Pod::Weaver configuration from a directory
containing a the Dist::Zilla manpage distribution.

The results will be serialized in the requested format, and written to
'STDOUT'.

The option '-f' or '--format' may be used to request a particular output
format. The following formats are currently available:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.50.0-7.mga10
+ Revision: 2207678
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.50.0-6.mga9
+ Revision: 1817123
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-5.mga8
+ Revision: 1494069
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-4.mga7
+ Revision: 1267287
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-3.mga6
+ Revision: 1025809
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.50.0-2.mga6
+ Revision: 966028
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 0.50.0-1.mga6
+ Revision: 839972
- update to 0.05

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 744187
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 521858
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 390969
- update to 0.02

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 366029
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 11 2011 jquelin <jquelin> 0.10.0-2.mga1
+ Revision: 83313
- remove faulty provides

* Mon Apr 11 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 83280
- imported package perl-Dist-Zilla-App-Command-weaverconf


* Mon Apr 11 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
